package cn.wise.sc.cement.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * 非标产值审批
 * </p>
 *
 * @author wlb
 * @since 2020-09-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(value = "nonstandard_apply")
public class NonStandardApproval implements Serializable {
	private static final long serialVersionUID = 1L;

	/*
	主键
	 */
	@TableId(value = "id",type = IdType.AUTO)
	private Integer id;

	@ApiModelProperty("姓名")
	private String name;

	@ApiModelProperty("账户")
	private String account;

	@ApiModelProperty("起止日期")
	private String statistical;

	@ApiModelProperty("上报工时")
	private Double reportedHours;

	@ApiModelProperty("状态 0：未提交 1：审批通过 2：审批未通过")
	private Integer status;

	@ApiModelProperty("最终产值")
	private Double finalValue;

	@ApiModelProperty("考核公值")
	private Double appraisalValue;

	@ApiModelProperty("驳回意见")
	private String finalRejection;
}
