package cn.wise.sc.cement.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDate;

/**
 * @description: 非标产值
 * @author: wlb
 * @create: 2020-09-17
 **/
@Data
@RequiredArgsConstructor
@NoArgsConstructor
@ApiModel("非标产值")
public class NonStandardValueQuery {
	private Integer id;

	@ApiModelProperty(name = "name", value = "姓名")
	@NotEmpty(message = "姓名不能为空!")
	@NonNull
	private String name;

	@ApiModelProperty(name = "account", value = "账户")
	@NotEmpty(message = "账户不能为空!")
	@NonNull
	private String capabilityRange;

	@ApiModelProperty(name = "statistical", value = "起止日期")
	@NotEmpty(message = "起止日期不能为空!")
	private String statistical;

	@ApiModelProperty(name = "reportedHours", value = "上报工时")
	private Double reportedHours;

	@ApiModelProperty(name = "status", value = "状态")
	private Integer status;

	@ApiModelProperty(name = "appraisalValue", value = "考核公值")
	private Double appraisalValue;

	@ApiModelProperty(name = "finalValue", value = "最终产值")
	private Double finalValue;

	@ApiModelProperty(name = "workType", value = "工作类别")
	private String workType;

	@ApiModelProperty(name = "workDescription", value = "工作描述")
	private String workDescription;

	@ApiModelProperty(name = "startTime", value = "开始时间")
	private LocalDate startTime;
}
