package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.Entrust;
import cn.wise.sc.cement.business.entity.EntrustReport;
import cn.wise.sc.cement.business.entity.SampleDistribution;
import cn.wise.sc.cement.business.entity.SampleHandleEnclosure;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.*;
import cn.wise.sc.cement.business.model.vo.*;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
public interface IEntrustService extends IService<Entrust> {

	BaseResponse<IPage<EntrustVo>> getPage(PageQuery pageQuery, String startDate, String endDate, Integer status,
	                                       Integer clientId, String projectName, String projectCode);

	BaseResponse<String> setTopping(Integer id);

	BaseResponse<Entrust> create(EntrustQuery query);

	BaseResponse<EntrustVo> getDtail(Integer id);

	BaseResponse<String> getMaxCementCode();

	BaseResponse<String> approval(ApprovalQuery query);

	BaseResponse<String> handle(HandleQuery query);

	BaseResponse<IPage<EntrustVo>> getSampleHandlePage(PageQuery pageQuery, String projectCode);

	BaseResponse<Map<String, Object>> getSampleHandleList(Integer id);

	BaseResponse<String> acceptHandle(Integer[] ids);

	BaseResponse<List<SampleHandleEnclosureVo>> getSampleHandleEnclosureList(Integer sampleHandleId);

	BaseResponse<SampleHandleEnclosure> uploadEnclosureCL(SampleHandleEnclosureQuery query);

	BaseResponse<SampleHandleVo> getHandleDtail(Integer id);

	BaseResponse<String> finishHandle(Integer[] ids);

	BaseResponse<String> distribution(DistributionQuery query);

	BaseResponse<IPage<EntrustVo>> getSampleDistributionPage(PageQuery pageQuery,String projectName,
	                                                         String projectCode );

	BaseResponse<Map<String, Object>> getSampleDistributionList(Integer id);

	BaseResponse<String> acceptDistribution(Integer[] ids);

	BaseResponse<SampleDistribution> uploadEnclosurePF(SampleDistributionEnclosureQuery query);

	BaseResponse<String> finishDistribution(Integer[] ids);

	BaseResponse<IPage<EntrustVo>> getCheckPage(PageQuery pageQuery, String startDate, String endDate, Integer status,
	                                            Integer clientId, String projectName, String projectCode);

	BaseResponse<Map<String, Object>> getCheckList(Integer id);

	BaseResponse<List<SampleCheckVo>>  getCheckDetail(String cementCode);

	BaseResponse<List<SampleDistribution>> getEnclosureList(Integer sampleId, Integer teamGroupId, Integer userId);

	BaseResponse<Map<String, String>> checkCount(CheckCountQuery query);

	BaseResponse<String> check(CheckQuery query);

	BaseResponse<IPage<EntrustVo>> getReportPage(PageQuery pageQuery, String startDate, String endDate, Integer clientId, String projectName, String projectCode);

	BaseResponse<Boolean> deleteById(Integer id);

	List<EntrustReport> getReportDetail(Integer entrustId);
}
