package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.NonStandardValue;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.vo.NonStandardValueVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author wlb
 * @since 2020-09-23
 */
public interface INonStandardValueService extends IService<NonStandardValue> {
	/**
	 * 获取分页
	 * @param pageQuery 非标产值信息分页
	 * @param status 状态
	 * @return IPage<NoneStandardValue>
	 */
	BaseResponse<IPage<NonStandardValueVo>> getPage (PageQuery pageQuery,Integer status);

	/**
	 * 获取所有非标产值信息
	 *
	 * @return List
	 */
	BaseResponse<List<NonStandardValue>> getList();

	/**
	 * 非标产值列表导出
	 * @param id id
	 * @param filename 文件名
	 * @param account 账户
	 * @param name 姓名
	 * @param response
	 */
	void exportList(Integer id, String filename, String account, String name, HttpServletResponse response);
}
