package cn.wise.sc.cement.business.service.impl;

import cn.wise.sc.cement.business.entity.NonStandardValue;
import cn.wise.sc.cement.business.mapper.NonStandardValueMapper;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.vo.NonStandardValueVo;
import cn.wise.sc.cement.business.service.INonStandardValueService;
import cn.wise.sc.cement.business.util.ExcelUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wlb
 * @since 2020-09-23
 */
@Service
public class NonStandardValueServiceImpl extends ServiceImpl<NonStandardValueMapper, NonStandardValue> implements INonStandardValueService {
	@Resource
	private NonStandardValueMapper nonStandardValueMapper;

	@Override
	public BaseResponse<IPage<NonStandardValueVo>> getPage(PageQuery pageQuery, Integer status) {
		Map<String, Object> params = new HashMap<>();
		params.put("status", status);
		Page<NonStandardValueVo> page = new Page<>(pageQuery.getPageNo(), pageQuery.getPageSize());
		IPage<NonStandardValueVo> pages = nonStandardValueMapper.getPage(page,params);
		return BaseResponse.okData(pages);
	}

	@Override
	public BaseResponse<List<NonStandardValue>> getList() {
		QueryWrapper<NonStandardValue> qw = new QueryWrapper<>();
		qw.eq("status",1);
		List<NonStandardValue> list = this.list(qw);
		return BaseResponse.okData(list);
	}

	@Override
	public void exportList(Integer id, String filename, String account, String name, HttpServletResponse response) {
		Map<String, Object> params = new HashMap<>();
		params.put("id", id);
		params.put("name", name);
		params.put("account", account);
		List<Map<String, Object>> list= nonStandardValueMapper.exportList(params);

		if (!CollectionUtils.isEmpty(list)) {
			Map<String, Object> map = list.get(0);
			String[] headers = new String[map.size()];
			headers[0] = "序号";
			headers[1] = "姓名";
			headers[2] = "账户";
			headers[3] = "起止日期";
			headers[4] = "上报工时";
			headers[5] = "考核公值";
			headers[6] = "最终产值";
			headers[7] = "工作类别";
			headers[8] = "工作描述";
			headers[9] = "开始时间";


			List<Object[]> datas = new ArrayList<>(list.size());
			for (Map<String, Object> m : list) {
				Object[] objects = new Object[headers.length];
				for (int j = 0; j < headers.length; j++) {
					String obj = m.get(headers[j]).toString();
					if(j==0){
						obj = obj.split("\\.")[0];
					}
					objects[j] = obj;
				}

				datas.add(objects);
			}
			ExcelUtil.excelExport(
					filename == null || filename.trim().length() <= 0 ? "非标产值": filename, headers,
					datas, response);
		}
	}
}
